import 'dart:async';

import 'package:flutter/services.dart';
import 'package:permission_handler/permission_handler.dart';
class OnechuanPlugin {
  static const MethodChannel _channel = const MethodChannel('onechuan_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<List<dynamic>> get getContacts async {
    //如果没有读取联系人权限
    PermissionStatus permission5 = await PermissionHandler()
        .checkPermissionStatus(PermissionGroup.contacts);
    //如果没有相机权限
    if (!(permission5 == PermissionStatus.granted)) {
      Map<PermissionGroup, PermissionStatus> permissions =
      await PermissionHandler()
          .requestPermissions([PermissionGroup.contacts]);
      if (!(permissions[PermissionGroup.contacts] ==
          PermissionStatus.granted)) {
        print("申请联系人权限失败");
      }
    }
    List<dynamic> contacts = await _channel.invokeMethod("getContacts");
    return contacts;
  }

  static Future<String>  openWebView ( String jsonParameters) async {
    //如果没有读取联系人权限
   await _channel.invokeMethod("openWebView",{"jsonParameters":jsonParameters});
    return "1";
  }

}
